import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 14:49
 */
export interface AbnormaDataModel{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * tapdId
    * @type { string }
    */
    tapdid?: string;
    /**
    * 车场id
    * @type { string }
    */
    parkid?: string;
    /**
    * 数据
    * @type { string }
    */
    data?: string;
    /**
    * 车牌号
    * @type { string }
    */
    plateno?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createtime?: Date;
}
export class AbnormaDataModelMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get TAPDID(): FieldInfo{  
        return new FieldInfo('tapdid','tapdId');
    }
    static get PARKID(): FieldInfo{  
        return new FieldInfo('parkid','车场id');
    }
    static get DATA(): FieldInfo{  
        return new FieldInfo('data','数据');
    }
    static get PLATENO(): FieldInfo{  
        return new FieldInfo('plateno','车牌号');
    }
    static get CREATETIME(): FieldInfo{  
        return new FieldInfo('createtime','创建时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 14:49
 */
export interface BillIdMappingModel{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * tapdId
    * @type { string }
    */
    tapdid?: string;
    /**
    * 车场id
    * @type { string }
    */
    parkid?: string;
    /**
    * billId
    * @type { string }
    */
    billid?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createtime?: Date;
}
export class BillIdMappingModelMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get TAPDID(): FieldInfo{  
        return new FieldInfo('tapdid','tapdId');
    }
    static get PARKID(): FieldInfo{  
        return new FieldInfo('parkid','车场id');
    }
    static get BILLID(): FieldInfo{  
        return new FieldInfo('billid','billId');
    }
    static get CREATETIME(): FieldInfo{  
        return new FieldInfo('createtime','创建时间');
    }
}


